# eric6.UI.Previewer

Module implementing a previewer widget for HTML, Markdown and ReST files.

### Global Attributes

None

### Classes

Previewer | Class implementing a previewer widget containing a stack of specialized previewers.

### Functions

None

## Previewer

Class implementing a previewer widget containing a stack of specialized previewers.

### Derived from

QStackedWidget

### Class Attributes

None

### Class Methods

None

### Methods

Previewer | Constructor
__editorChanged | Private slot to handle a change of the current editor.
__editorLanguageChanged | Private slot to handle a change of the current editor's language.
__editorTextChanged | Private slot to handle changes of an editor's text.
__isPreviewable | Private method to check, if a preview can be shown for the given editor.
__previewStateChanged | Private slot to toggle the display of the preview.
__processEditor | Private slot to schedule the processing of the current editor's text.
__splitterMoved | Private slot to handle the movement of the embedding splitter's handle.
hide | Public method to hide the preview widget.
preferencesChanged | Public slot handling a change of preferences.
show | Public method to show the preview widget.
shutdown | Public method to perform shutdown actions.

### Static Methods

None

#### Previewer (Constructor)

Previewer(viewmanager, splitter, parent=None)

Constructor

viewmanager
  reference to the viewmanager object (ViewManager)
splitter
  reference to the embedding splitter (QSplitter)
parent
  reference to the parent widget (QWidget)

#### Previewer.__editorChanged

__editorChanged(editor)

Private slot to handle a change of the current editor.

editor
  reference to the editor (Editor)

#### Previewer.__editorLanguageChanged

__editorLanguageChanged(editor)

Private slot to handle a change of the current editor's language.

editor
  reference to the editor (Editor)

#### Previewer.__editorTextChanged

__editorTextChanged(editor)

Private slot to handle changes of an editor's text.

editor
  reference to the editor (Editor)

#### Previewer.__isPreviewable

__isPreviewable(editor)

Private method to check, if a preview can be shown for the given editor.

editor
  reference to an editor (Editor)

Returns:
  flag indicating if a preview can be shown (boolean)

#### Previewer.__previewStateChanged

__previewStateChanged(on)

Private slot to toggle the display of the preview.

on
  flag indicating to show a preview (boolean)

#### Previewer.__processEditor

__processEditor()

Private slot to schedule the processing of the current editor's text.

#### Previewer.__splitterMoved

__splitterMoved()

Private slot to handle the movement of the embedding splitter's handle.

#### Previewer.hide

hide()

Public method to hide the preview widget.

#### Previewer.preferencesChanged

preferencesChanged()

Public slot handling a change of preferences.

#### Previewer.show

show()

Public method to show the preview widget.

#### Previewer.shutdown

shutdown()

Public method to perform shutdown actions.

Up